#
# spec file for package python-pyes
#
# Copyright (c) 2014 Dr. Axel Braun
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define component pyes

Name:           python-%{component}
Version:        0.99.5
Release:        2.3
Summary:        Python Elastic Search driver
License:        BSD-3-Clause+
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pyes/
Source:         http://pypi.python.org/packages/source/p/pyes/pyes-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
# Test requirements:
BuildRequires:  python-py
BuildRequires:  python-pytest
BuildRequires:  python-six
BuildRequires:  python-urllib3

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

Requires:	    elasticsearch
Requires:       python-six
Requires:       python-urllib3

%description
pyes is a connector to use elasticsearch from python.
Features:
- Python3 support (only HTTP, thrift lib is not available on python3)
- Thrift/HTTP protocols
- Bulk insert/delete
- Index management
- Every search query types
- Facet Support
- Geolocalization support
- Highlighting
- Percolator
- River support

%prep
%setup -q -n %{component}-%{version}
echo %{version} > pyes/versioninfo

%build
python setup.py build
# does not work! %(make) -C documentation html 
cd documentation && make html && rm _build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-data=%{python_sitelib}

%files
%defattr(-,root,root,-)
%doc AUTHORS README README.rst LICENSE THANKS Changelog TODO
%{python_sitelib}/*

%changelog
* Mon Nov 17 2014 p.drouand@gmail.com
- Keep SLE11 compatibitility
- Add SUSE Copyright
* Sun Nov 16 2014 axel.braun@gmx.de
- some cleanup of the specfile
* Fri May 16 2014 axel.braun@gmx.de
- changes to spec
* Tue May  6 2014 axel.braun@gmx.de
- new version 0.99.0
- clean-up spec file for push to d:l:p
* Sat Feb 15 2014 axel.braun@gmx.de
- upgrade to version 0.90.1
* Fri Jan 17 2014 heinemannj66@gmail.com
- initial version
